Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 206759 - media-video/kino: USE gpac should be use.masked on sparc profiles.
Summary: media-video/kino: USE gpac should be use.masked on sparc profiles.
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Denis Dupeyron (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-20 12:39 UTC by Samuli Suominen
Modified: 2008-02-21 16:12 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2008-01-20 12:39:48 UTC
kino ebuilds are doing, gpac? ( !sparc? ( media-video/gpac ) )

please package.use.mask gpac on sparc profile instead, or keyword it.
Comment 1 Samuli Suominen gentoo-dev 2008-01-20 12:41:17 UTC
is this really required, and if it is.. why is sparc a exception?

!sparc? ( media-libs/libiec61883 )
Comment 2 Friedrich Oslage (RETIRED) gentoo-dev 2008-01-20 22:22:51 UTC
The dependency on gpac has been added because of Bug 178583 so this one is still not fixed on sparc.
The dependency on libiec61883 has been added because of Bug 136323(since kino 0.9.0 dv1394 is deprecated and libiec61883 should be used instead) this may work for now but it will break by the time dv1394 is removed from the kernel.

Both media-libs/libiec61883 and media-video/gpac are not sparc keyworded(nor ~sparc). In my opinion the only way to solve this is to test/keyword gpac and libiec61883 and then remove these exceptions.

Comment 3 Samuli Suominen gentoo-dev 2008-01-22 04:45:42 UTC
(In reply to comment #2)
> Both media-libs/libiec61883 and media-video/gpac are not sparc keyworded(nor
> ~sparc). In my opinion the only way to solve this is to test/keyword gpac and
> libiec61883 and then remove these exceptions.

I can see USE="iec61883" added (and enabled by default using EAPI=1 if required) so it can be package.use.masked with gpac on sparc profiles if testing/keywording
doesn't work out.

Current hiding in ebuild is wrong, hey, it's even a question 6.f. in end-quiz.
Comment 4 Mark Loeser (RETIRED) gentoo-dev 2008-01-29 04:51:21 UTC
sparc:  Could someone please look into keywording these so we can get rid the ugly dependencies?
Comment 5 Raúl Porcel (RETIRED) gentoo-dev 2008-01-29 19:25:11 UTC
Calchan needs a stab...

I'll fix those
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2008-01-29 19:27:27 UTC
err...
Comment 7 Denis Dupeyron (RETIRED) gentoo-dev 2008-01-30 03:53:03 UTC
Sorry guys, I'm out in the field until this week-end with a crappy internet connection. Feel free to fix this any way you like. If necessary I'll pick up the pieces next week when I'm back home.

Denis.
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2008-01-30 15:41:30 UTC
~sparc done
Comment 9 Denis Dupeyron (RETIRED) gentoo-dev 2008-02-20 13:22:36 UTC
I just fixed the unstable kino. Stable will have to wait for gpac and libiec61883 to be stable on sparc too. So when you guys start stabilizing those two on sparc, make sure you make the two stabilization bugs link to this one.

I'll keep this bug open until stable kino can be fixed.

Denis.
Comment 10 Raúl Porcel (RETIRED) gentoo-dev 2008-02-21 10:49:31 UTC
sparc stable
Comment 11 Denis Dupeyron (RETIRED) gentoo-dev 2008-02-21 12:37:22 UTC
(In reply to comment #10)
> sparc stable

I knew you could do it. ;o) Thanks Raúl. I have fixed stable kino, so closing this now.

Denis.
Comment 12 Samuli Suominen gentoo-dev 2008-02-21 16:12:10 UTC
appericiated :)